<template>
  <div class="com-pic">
    <div class="pic-1"></div>
    <div class="div2"></div>
  </div>
</template>
    
  <script lang="ts">
import { defineComponent, nextTick, onMounted, reactive, toRefs } from "vue";

export default defineComponent({
  components: {},
  setup() {
    const proxyData = reactive({});
    nextTick(() => {});
    onMounted(() => {});
    return {
      ...toRefs(proxyData),
    };
  },
});
</script>
<style lang="scss" scoped>
.com-pic {
  position: relative;
}
.pic-1 {
  position: absolute;
  box-sizing: border-box;
  left: 50px;
  width: 120px;
  height: 300px;
  background-size: 50% 100%;
  background-repeat: no-repeat;
  border-top-left-radius: 180px;
  border-bottom-left-radius: 180px;
  //   border-bottom: 120px solid red;
  //   border-right: 60px solid transparent;
  //   border-left: 60px solid transparent;
  // rotate: (90deg);
  border-left: 120px solid red;
  border-top: 100px solid transparent;
  border-bottom: 100px solid transparent;
}

.div2 {
  position: absolute;
  top: 20px;
  left: 350px;
  width: 200px;
  height: 200px;
  background: #99b4d3;
  clip-path: polygon(0 0, 300 0, 150 200, 0 200);
  //   rotate: (15deg);
}
</style>
    